TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

MinimalPolynomial ( elt-fld^fin x, fld^fin E ) -> elt-alg^pol

### Description

<shortdoc> The minimal polynomial of x in F with respect to the subfield E of F. </shortdoc>

### Examples

x_E:=FiniteField(5); x_Ey:=PolynomialAlgebra(x_E); x_F:= Extension(x_E,x_Ey.1^2+2); MinimalPolynomial(2*(x_F.1),x_E); MinimalPolynomial(2*(x_F.1),x_F);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack